Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface BuildableElement

    org.gradle.tooling.model.Model
      org.gradle.tooling.model.BuildableElement
          org.gradle.tooling.model.Element

All Superinterfaces:
  Model, Element

    public interface BuildableElement
    extends Element

Represents an element which has Gradle tasks associated with it.

Since:
  1.0-milestone-5

Method Summary
`DomainObjectSet` | `getTasks()` Returns the tasks of this project.

Methods inherited from interface Element
getDescription, getName

Method Detail

### getTasks

    public DomainObjectSet getTasks()

  Returns the tasks of this project.
  Returns:
    The tasks of this project.
  Since:
    1.0-milestone-5

Gradle API 1.10